1 Reply Latest reply on Oct 7, 2017 4:59 AM by goodplay

    Can't update Catalyst

    grindersky

      It seems that I can't update my Catalyst drivers from 13.9 to 16.400.3111.0

      Also there are no drivers like these on the site, nor from auto-decect or by manually searching for the drivers (I only found 13.9 , no 16.4...)  Any help?